API REFERENCEv1

Lookup Number

GEThttps://api2.protexting.com/v1/lookup-number/insight

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

* International coverage in 221 countries

Request parameters:

ParameterDescription
numberValid Mobile Number

Response parameters:

ParameterDescription
Mobile_StatusInteger, view statuses »
Mobile_Status_DescriptionString, view statuses »
Country_CodeString,The two character country code in ISO 3166-1 alpha-2 format. see here »
Carrier_NameString

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/lookup-number/insight?number=1646xxxxxxx&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/lookup-number/insight?access_token=your_access_token&number=1646xxxxxxx>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 1 X-Pagination-Total-Count: 1 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
[
    {
    	"Mobile_Status": 0,        "Mobile_Status_Description":"Valid",        "Country_Code" : US,        "Carier_Name" : "T-Mobile"
    },    ...
]
XML response example
<response>
    <item>
    	<Mobile_Status>0</Mobile_Status>
        <Mobile_Status_Description>Valid</Mobile_Status_Description>        <Country_Code>US</Country_Code>        <Carier_Name>T-Mobile</Carier_Name>
    </item>
    ...
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Statuses:

Mobile_StatusMobile_Status_Description
0Valid
1Invalid

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.